﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerWebForm.aspx.cs" Inherits="RadSchedulerWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
		<Scripts>
		</Scripts>
	</telerik:RadScriptManager>
 
	<script type="text/javascript">

        var teacherID = "all";

        function OnClientSelectedIndexChanged(sender, args) {
            teacherID = args.get_item().get_value();
            var scheduler = $find('<%=RadScheduler1.ClientID %>');
            scheduler.rebind();
        }

        function OnClientAppointmentsPopulating(sender, eventArgs) {
            eventArgs.get_schedulerInfo().TeacherID = teacherID;
        }

        function OnClientClicked(sender, args) {
            var scheduler = $find('<%=RadScheduler1.ClientID %>');
            var newAppointment = new Telerik.Web.UI.SchedulerAppointment();

            var startTime = new Date();

            var endTime = new Date(startTime);
            endTime.setMinutes(endTime.getMinutes() + 45);

            newAppointment.set_start(startTime);
            newAppointment.set_end(endTime);
            newAppointment.set_subject("Manually Inserted Appointment");

            scheduler.insertAppointment(newAppointment);
        }

    </script>
    <p>
        Filter appointments by teacher (resource):
    </p>
    <p>
        <telerik:RadComboBox ID="RadComboBox1" runat="server" OnClientSelectedIndexChanged="OnClientSelectedIndexChanged">
            <Items>
                <telerik:RadComboBoxItem Text="All" Value="all" />
                <telerik:RadComboBoxItem Text="Teacher 1" Value="1" />
                <telerik:RadComboBoxItem Text="Teacher 2" Value="2" />
            </Items>
        </telerik:RadComboBox>
    </p>
    <telerik:RadScheduler ID="RadScheduler1" runat="server" OnClientAppointmentsPopulating="OnClientAppointmentsPopulating"
        AppointmentStyleMode="Default" SelectedView="WeekView" SelectedDate="2011-01-21"
        Width="600px">
        <WebServiceSettings Path="SchedulerWebService.asmx" ResourcePopulationMode="ServerSide" />
        <ResourceStyles>
            <telerik:ResourceStyleMapping Type="Teacher" Key="1" BackColor="Orange" />
            <telerik:ResourceStyleMapping Type="Teacher" Key="2" BackColor="Aqua" />
        </ResourceStyles>
    </telerik:RadScheduler>
          <telerik:RadButton runat="server" ID="RadButton1" AutoPostBack="false" Text="Insert" OnClientClicked="OnClientClicked"> </telerik:RadButton>
    </form>
</body>
</html>
